/v1/certificates/{certificate_id}/renewRenew certificate
Force certificate renewal. Only applicable for ACME certificates in active status. The certificate will be renewed immediately regardless of the renew_after date.
Path Parameters
certificate_id
string<uuid>requiredpath
Certificate ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Header Parameters
X-Region
stringrequiredheader
Region code to query resources from. Required for all resource operations.
Example: "sao1"
Responses
Renewal initiated
Content-Type: application/json
certificate
objectoptionalAuthentication required or token invalid
Content-Type: application/json
error
objectrequiredResource not found
Content-Type: application/json
error
objectrequiredCertificate is not in active status or is not an ACME certificate
Content-Type: application/json
error
objectrequiredInternal server error
Content-Type: application/json
error
objectrequiredcurl -X POST "https://api.spo1.mycloud.com/v1/certificates/550e8400-e29b-41d4-a716-446655440000/renew" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Renewal initiated
{"certificate": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn:sao1:certificate:certificate:550e8400-e29b-41d4-a716-446655440000","name": "my-certificate","type": "acme","domains": ["example.com","*.example.com"],"status": "active","expires_at": "2024-01-15T10:30:00Z","renew_after": "2024-01-15T10:30:00Z","error_message": "string","created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}